Bug 40930 - Allow translationId property for links/modules in UMC XML files
Allow translationId property for links/modules in UMC XML files
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1-1-errata
Assigned To: Alexander Kläser
Jürn Brodersen
:
Depends on:
Blocks: 38957
  Show dependency treegraph
 
Reported: 2016-03-22 11:58 CET by Alexander Kläser
Modified: 2016-03-31 02:03 CEST (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Internationalization
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2016-03-22 11:58:34 CET
Currently, one needs a separate .mo translation file for each link that is specified in a UMC XML file as the .mo file is inferred from the module ID. A particular translationId (which overwrite the module/flavor ID) can be specified for flavors, yet it cannot be specified for modules/links.

BTW, the developer guide states that a translationId can be specified for modules, as well:
http://docs.software-univention.de/developer-reference-4.1.html#umc:xml

+++ This bug was initially created as a clone of Bug #40528 +++

Within the discussion about how to improve the usability of an app appliance, we need the possibility to add links (e.g. to the overview) and shallow copies of umc modules to another overiew category.
Comment 1 Alexander Kläser univentionstaff 2016-03-22 12:21:38 CET
univention-management-console.yaml:
r68234 | Bug #40930: added YAML file

univention-management-console (8.0.28-13):
r68233 | Bug #40930: allow translationId property also for modules/links

Package is building.
Comment 2 Jürn Brodersen univentionstaff 2016-03-23 11:24:00 CET
What I tested: I used the translationId for Bug 38957
Version: 8.0.28-13.917.201603221221
Changes: OK.
YAML: OK.

→ VERIFIED
Comment 3 Janek Walkenhorst univentionstaff 2016-03-30 12:48:36 CEST
<http://errata.software-univention.de/ucs/4.1/137.html>